# make all of the Distributed Checksum Clearinghouse

# Copyright (c) 2005 by Rhyolite Software

# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.

# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.2.74-1.30 $Revision$

DEPTH	=.
SUBDIR_PROGS=cdcc @SUBDIR_DCCD@ @SUBDIR_DCCM@ @SUBDIR_DCCIFD@	\
	dccproc dccsight homedir misc cgi-bin
SUBDIR_MAN  =cdcc dbclean dccd dblist dccm dccifd dccproc dccsight
SUBDIR	    =dcclib @SUBDIR_SRVRLIB@ @SUBDIR_THRLIB@ $(SUBDIR_PROGS)

SUBDIR_HTML =$(SUBDIR_MAN:=.html)
SUBDIR_MAN0 =$(SUBDIR_MAN:=.0)
SUBDIR_MAN8 =$(SUBDIR_MAN:=.8)
MAN8	    =@MAN8@

@MAKE_INC@
@MAKE_SUBDIR@

all:	dcc.html $(SUBDIR_HTML) INSTALL.txt FAQ.txt

@MAKE_INC2@

@MAKE_DOT@ifndef BUNDLE_BUILD
# Do not build nroff or HTML man pages on the target platforms.
# Their installation on systems using make instead of gmake is
# handled by the BSD mk files.
@MAKE_DOT@else
# deal with the .html and .0 man pages
@MAKE_DOT@for M in $(SUBDIR_MAN8)
$(M:R).html:$(M)
$(M):	$(M:R)/$(M)
	rm -f $@; cp $? $@
@MAKE_DOT@endfor

$(SUBDIR_MAN0) dcc.0:${DEPTH}/include/dcc_defs.h

CLEANFILES+=dcc.html $(SUBDIR_HTML) $(SUBDIR_MAN0) $(SUBDIR_MAN8) INSTALL.txt
@MAKE_DOT@endif
